package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ParadaCodOrgaoConcedente;

public class RenderParadaCodOrgaoConcedente  implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
    	ParadaCodOrgaoConcedente codigo = (ParadaCodOrgaoConcedente) o;

        Listcell lc = new Listcell(codigo.getOrgaoConcedente().getDescOrgao());
        lc.setParent(lstm);

        lc = new Listcell(codigo.getCodigo());
        lc.setParent(lstm);
        
        lstm.setAttribute("data", codigo);
    }
}
